<!-- squarepay/common/tx_buttons.tpl tx_key={$tx_key} -->

{* compatibility with older data *}
{assign var="txid" value=$p_info.transaction_id}
{if $p_info.parent_transaction_id}
	{$txid = $p_info.parent_transaction_id}
{/if}
{assign var="remaining_amount" value=$order_info.order_id|sq_order_remaining_amount:$txid}

{if $p_info.action == 'AUTHORIZED' || $p_info.action == 'CAPTURED'}
<div class="control-group">
	{if $p_info.action == 'AUTHORIZED'}
		<div class="control-label">
			{include file="buttons/button.tpl" 
				but_role="action" 
				but_meta="cm-no-ajax" 
				but_href="squarepay.tx_void&amp;order_id=`$order_id`&amp;transaction_id=`$p_info.transaction_id`" 
				but_text=__("sq_void") 
			}
		</div>
		<div class="controls">
			{include file="buttons/button.tpl" 
				but_role="action" 
				but_meta="cm-no-ajax" 
				but_href="squarepay.tx_capture&amp;order_id=`$order_id`&amp;transaction_id=`$p_info.transaction_id`" 
				but_text=__("sq_capture") 
			}
		</div>
	{elseif $p_info.action == 'CAPTURED' || ($p_info.action == 'REFUNDED' && $remaining_amount > 0.00) }
		<div class="control-label">
{* not used
			{include file="buttons.tpl"
				but_meta="cm-no-ajax" 
				but_role="action" 
				but_href=squarepay.refund&amp;order_id=`$smarty.request.order_id`&amp;transaction_id=`$p_info.transaction_id`" 
				save=true
			}
*}
			{** For some reaon this ends up being seen as a nested form and so need to
			 ** do this submission via JS/jQuery instead.
			 **}
			{include file="buttons/button.tpl" 
				but_role="action" 
				but_meta="cm-no-ajax" 
				but_text=__("sq_refund") 
				but_onclick="submit_refund('`$smarty.request.order_id`', '`$p_info.transaction_id`', `$tx_key`);" 
			}
		</div>
		<div class="controls" >
			<input id="refund_amount_{$tx_key}" type="text" name="tx_refund[{$tx_key}][refund_amount]" class="input-small" value="{$remaining_amount}" >
		</div>
	{/if}
</div>
{/if}