{** Determine if we display saved cards **}
{if isset($cart.user_data.user_id)}
	{assign var="user_id" value=$cart.user_data.user_id}
	<!-- using cart.user_data.user_id={$user_id} -->
{else}
	{** 11/6/16: Changed from auth.user_id to order_info.user_id **}
	{assign var="user_id" value=$order_info.user_id}
	<!-- using auth.user_id={$user_id} -->
{/if}
<!-- Addon - Admin: components/payments/squarepay.tpl Squareup card data collection user_id={$user_id}-->
<!-- payment_method:{$payment_method|print_r:true} -->

{if !$payment_id || $payment_id|sq_is_square_payment}
  <script type="text/javascript" src="https://js.squareup.com/v2/paymentform" class="cm-ajax-force"></script>
  <script type="text/javascript" class="cm-ajax-force">
  var paymentForm = new SqPaymentForm({
    applicationId: '{$payment_method.processor_params.sq_application_id}',
    inputClass: 'sq-input',
    inputStyles: [
      {
        fontSize: '15px'
      }
    ],
    cardNumber: {
      elementId: 'sq-card-number',
      placeholder: 'XXXX XXXX XXXX XXXX'
    },
    cvv: {
      elementId: 'sq-cvv',
      placeholder: '{__("sq_cvv")}'
    },
    expirationDate: {
      elementId: 'sq-expiration-date',
      placeholder: 'MM/YY'
    },
    postalCode: {
      elementId: 'sq-postal-code'
    },
    callbacks: {
      cardNonceResponseReceived: function(errors, nonce, cardData) {
        if (errors) {
          // handle errors
          errors.forEach(function(error) { 
								  console.log(error.message); 
								  });
        } else {
          // handle nonce
//          console.log('Nonce received:');
//          console.log(nonce);
		  $('#sq_nonce').val(nonce);
		  $('#has_sq_nonce').val(nonce);
//		  console.log("#sq_nonce.val()="+$('#sq_nonce').val() );
		  $('#card_number').html('**** **** **** '+cardData.last_4);
		  $('#i_card_number').val('**** **** **** '+cardData.last_4);
		  $('#expiration_date').html(cardData.exp_month+"/"+cardData.exp_year);
//		  $('#i_expiration_date').val(cardData.exp_month+"/"+cardData.exp_year);
//		  $('#expire_month').val(cardData.exp_month); $('#expire_month').attr("readonly","readonly");
//		  $('#expire_year').val(cardData.exp_year); $('#expire_year').attr("readonly","readonly");
//		  $('#has_postal_code').val(cardData.billing_postal_code); $('#has_postal_code').attr("readonly","readonly");
		  
		  $('#no_nonce').hide();
		  $('#has_nonce').show();
        }
      },
      unsupportedBrowserDetected: function() {
        // Alert the buyer that their browser is not supported
      },
      inputEventReceived: function(inputEvent) {
        switch (inputEvent.eventType) {
          case 'focusClassAdded':
            // Handle as desired
            break;
          case 'focusClassRemoved':
            // Handle as desired
            break;
          case 'errorClassAdded':
            // Handle as desired
            break;
          case 'errorClassRemoved':
            // Handle as desired
            break;
          case 'cardBrandChanged':
            // Handle as desired
            break;
          case 'postalCodeChanged':
            // Handle as desired
            break;
        }
      }
    }
  });

  function requestCardNonce() {
    paymentForm.requestCardNonce();
  }
  // Call after initializing the payment form _and_ the DOM is fully loaded
  paymentForm.build();
  
</script>
  
  <style type="text/css">
    .sq-input {
      border: 1px solid rgb(223, 223, 223);
      outline-offset: -2px;
      margin-bottom: 5px;
    }
    .sq-input--focus {
      /* how your inputs should appear when they have focus */
      outline: 5px auto rgb(59, 153, 252);
    }
    .sq-input--error {
      /* how your inputs should appear when invalid */
      outline: 5px auto rgb(255, 97, 97);
    }
	.sq-div {
		padding-bottom:20px;
	}
  </style>  
  
<div style="padding-bottom:20px;">
	{if $user_id}
		{assign var="sq_data" value=$user_id|sq_get_user_sq_data}
		{if $sq_data}
			{assign var="customer_id" value=$sq_data.id}
			<input type="hidden" name="payment_info[sq_customer_id]" value="{$customer_id}" />
			{** 11/6/16: Changed from auth.user_id to user_id **}
			{assign var="card_strings" value=$user_id|sq_checkout_cards:$payment_id}
		{/if}
		{if $card_strings}
		<div>
			<h3>{__("sq_select_card_header")}</h3>
			<ul>
			{foreach name="c" from=$card_strings key="card_id" item="card_string"}
				<li><input type="radio" name="payment_info[sq_card_id]" value="{$card_id}" {if $smarty.foreach.c.first}checked="checked"{/if} />{$card_string nofilter}
				</li>
			{/foreach}
			</ul>
			<a id="sq_link" href="#" onclick="$('#no_nonce').show();$('#sq_link').hide();return false;">{__("sq_or_enter_new_card")}</a>
		</div>
		{/if}
	{else}
	<div>
		<h3>{__("sq_checkout_header")}</h3>
	</div>
	{/if}
	
	{** 11/6/16: Changed from auth.user_id to user_id **}
	<div id="no_nonce" class="controls sq-div{if $user_id && $card_strings} hidden{/if}">
	  {** 11/6/16: Changed from auth.user_id to user_id **}
	  <label for="sq-card-number" class="control-group__title">{if $user_id && $card_strings}{__("new")|ucwords} {/if}{__("sq_card_number")}:&nbsp;</label>
	  <div id="sq-card-number" class="control-group"></div>
	  <label  for="sq-cvv" class="control-group__title">{__("sq_cvv_code")}:&nbsp;</label>
	  <div id="sq-cvv" class="control-group"></div>
	  <label  for="sq-expiration-date" class="control-group__title">{__("sq_expiration_date")}:&nbsp;</label>
	  <div id="sq-expiration-date" class="control-group"></div>
	  <label  for="sq-postal-code" class="control-group__title">{__("sq_postal_code")}:&nbsp;</label>
	  <div id="sq-postal-code" class="control-group"></div>
	  <input type="hidden" id="sq_nonce" name="payment_info[sq_nonce]" value="" />
	  
	  <div id="submit_card" >
	  {include file="buttons/button.tpl" but_text=__('sq_submit_card') but_name="#" but_id="sq_nonce_submit" but_role="button_main" but_onclick="requestCardNonce(); return false;"}
	  </div>
	</div>
	
	<div id="has_nonce" style="padding-left:30px;" class="controls sq-div hidden">
		<div class="control-group">
	  		<label for="card-number" class="control-group__item"><strong>{__("sq_card_last4")}:&nbsp;</strong></label>
			<input type="hidden" name="payment_info[card_number]" id="i_card_number" value="" />
	  		<span id="card_number"></span>
		</div>
		<div class="control-group">
			<label  for="expiration-date" class="control-group__item"><strong>{__("sq_expiration_date")}:&nbsp;</strong></label>
			<span id="expiration_date"></span>
		</div>
		<input type="hidden" id="has_sq_nonce" name="payment_info[sq_nonce]" value="{$order_info.payment_info.sq_nonce}" />
	  
	  {include file="buttons/button.tpl" but_text=__('sq_reset_card') but_href="checkout.checkout" but_id="sq_reset_card" but_role="none" }
	</div>
</div>
{/if}	{** is square payment **}