<?php

/*
 * Copyright 2016, 2017, 1st Source IT, LLC, EZ Merchant Solutions
 * All rights reserved.
 * Resale prohibited.
 */
if( !defined('BOOTSTRAP') ) die('Access denied');
$lang_vars = array(
	"tender_id" => "Tender ID",
	"pay_status" => "Pay status",
	"text_response" => "Response",
	"MASTERCARD" => "Mastercard",
	"VISA" => "Visa",
	"AMERICAN_EXPRESS" => "AmEx",
	"DISCOVER" => "Discover",
	"DISCOVER_DINERS" => "Diners",
	"JCB" => "JCB",
	"CHINA_UNIONPAY" => "Union Pay",
	"PENDING" => "Pending",
	"APPROVED" => "Approved",
	"REJECTED" => "Rejected",
	"FAILED" => "Failed",
	"AUTHORIZED" => "Authorized",
	"CAPTURED" => "Captured",
	"VOIDED" => "Voided",
	"reason" => "Reason",
	'privileges.manage_squarepay' => 'Manage Squarepay',
	
	"sq_access_token" => "Access token",
	"sq_application_secret" => "Secret",
	"sq_application_id" => "Application ID",
	"sq_location" => "Location nickname",
	"sq_select_location" => "Select location",
	"sq_location_id" => "Location ID",
	"sq_currency" => "Currency",
	"sq_idempotency_key" => "Transaction key",
	"sq_order_prefix" => "Order prefix",
	"sq_operation_mode" => "Operation mode",
	"sq_test_mode" => "Test mode",
	"sq_live_mode" => "Live mode",
	"sq_transaction_type" => "Transaction Type",
	"sq_authorize" => "Authorize",
	"sq_capture" => "Capture",
	"sq_refund" => "Refund payment",
	"sq_void" => "Void payment",
	"sq_capture_payment" => "Capture payment",
	"sq_locale" => "Localization",
	"sq_card" => "Card",
	"sq_card_number" => "Card number",
	"sq_card_last4" => "Card last-4",
	"sq_cvv_code" => "CVV code",
	"sq_cvv" => "CVV",
	"sq_from_card_statement" => "Card and Billing postal code must match",
	"sq_expiration_date" => "Expiration date",
	"sq_expire_month" => "Expire month",
	"sq_expire_year" => "Expire year",
	"sq_postal_code" => "Postal code",
	"sq_nonce" => "Encrypted CC",
	"sq_checkout_header" => "Secure card entry",
	"sq_select_card_header" => "Select from secure stored card(s)",
	"sq_select_card_header__orders" => "Stored card(s)",
	"sq_submit_card" => "Encrypt card",
	"sq_reset_card" => "Reset card",
	"sq_processed_text" => "%[STATUS]%",
	"sq_status_on_authorize" => "Authorize status",
	"sq_capture" => "Capture payment",
	"sq_auth" => "Auth Payment",
	"sq_status_on_capture" => "Capture status",
	"sq_refund" => "Refund payment",
	"sq_refunded" => "REFUNDED",
	"sq_status_on_refund" => "Refund status",
	"sq_status_on_void" => "Void status",
	"sq_void" => "Void payment",
	"sq_voided" => "VOIDED",
	"sq_refund_amount" => "Refund amount",
	"sq_extra_amount" => "Extra amount",
	"sq_select_a_card" => "Select a card",
	"sq_or_enter_new_card" => "Enter a new card",
	"sq_deleted_card" => "Deleted card",
	"sq_save_card" => "Save card securely for future use?",
	"sq_tx_amount" => "Transaction amount",
	"sq_successful" => "Successful",
	"sq_reason" => "Reason",
	"sq_extra_payments" => "Extra payments",
	"sq_new_charge" => "New charge",
	"sq_refund_confirm"		=> 'Refund order?  Are you sure?',
	"sq_void_confirm"		=> 'Void order?  Are you sure?',
	"sq_successful_charge_text" => "Successful charge for %[AMOUNT]%",
	"sq_submit_charge" => "Submit new charge",
	"sq_setup_instructions" => "Squareup Setup Instructions",
	"sq_setup_html" => '
		<p>Clicking the Grant Square Permissions button below will authorize your site (via the
			EZ Squarepay addon) to access your square account.  All of the requested permissions 
			are needed for the proper operation of this addon.  If you deny access, the addon will 
			not work nor be enabled on your site.
		</p>
		<p>Upon approval, an "access token" is provided for use exclusively by your site.  This token
			is stored on your site and is valid for 30 days.  There is a 15 day additional grace 
			period where the token can be renewed.  We do this automatically when the checkout method is used.
		</p>',
/*
		<p>However, please note that if your do not 
			have an order during the period between when the token expires and the 15 day grace period, 
			you will have to redo this step of the process.  If this occurs, you will receive an 
			email with instructions to return here and repeat this process.
		</p>
		<p>Most likely, this will never happen at the vast majority of sites.
		</p>',
*/
	"sq_valid_names" => "Valid names for this access code are:",
	"sq_no_names_found" => "No valid names for this access code.",
	"sq_card_id" => "Card id",
	"sq_customer_id" => "Customer id",
	"sq_bad_access_token" => "
		Bad access token (possibly expired).  You must re-grant permissions on the payment method configure tab.
	",
	"sq_client_bad_access_token" => "Bad access token (possibly expired).  Please contact store administrator.",
	"sq_missing_form_data" => "Order not submitted, missing one or more form fields.",
	"sq_get_permissions" => "Grant Square Permissions",
	"sq_getting_permission" => "Getting Permission....  Please wait...",
	"sq_no_locations_found" => "No locations found.",
	"sq_locations_for_this_account" => "Locations for this account are:",
	'sq_notify_subject' => 'Important! Square access token has expired',
	'sq_notify_text' => '
<p>Notice!  Your Square access token has expired ([EXPIRED]) and is beyond the renewal period.  This is usually caused by lack of use.  I.e. your token was active for 30 days and there is a 15 day grace period for renewal.</p>
<p>So if you haven\'t had an order in the last 2 weeks, this would explain why the token has expired.</p>
<br/>
<p>To resolve this, go to the payment method "[PAYMENT_METHOD]" and go to the "Configure" tab.  You will then see the "Grant Square Permissions" button where you can authorize a new access token.</p>
<p>Note that this message was generated because a checkout was attempted by a customer and this active payment method has an expired token.  The payment method could not be used by the customer so it was hidden from checkout.  Upon granting new permissions, future customers will be able to checkout using the Square payment method.
</p>',
	'sq_bad_access_token_warn' => "Bad access token for payment method '[PAYMENT_METHOD]'.  To resolve, go to the Configure tab of the payment method and re-authorize.",
	'sq_postal_code_hint' => "Note: postal code MUST match the code used in your billing address as well as the one on your credit card statement.",
	'sq_no_auth_response' => "Unknown error: no response from Oauth request",
	'sq_api_credential_warn' => "Authroization from Square is best achieved when the cs-cart API is enabled for '[CURRENT_USER]'.  <a href=\"[HREF]\">Click here to enable.</a>",
	'sq_no_txid'	=> "Transaction error: no transaction id returned from Square",
	'sq_sca_notice' 		=> "Notice: Some banks may require additional verification",
);
return $lang_vars;
?>