<!-- Addon - Admin: common/extra_tx.tpl Squareup card data collection user_id={$user_id}-->
{** Determine if we display saved cards **}
{if isset($cart.user_data.user_id)}
	{assign var="user_id" value=$cart.user_data.user_id}
{else}
	{** 11/6/16: Changed from auth.user_id to order_info.user_id **}
	{assign var="user_id" value=$order_info.user_id}
{/if}
<script type="text/javascript" src="https://js.squareup.com/v2/paymentform"></script>
<script type="text/javascript">
  var paymentForm = new SqPaymentForm({
    applicationId: '{$order_info.payment_method.processor_params.sq_application_id}',
    inputClass: 'sq-input',
    inputStyles: [
      {
        fontSize: '15px'
      }
    ],
    cardNumber: {
      elementId: 'sq-card-number',
      placeholder: 'XXXX XXXX XXXX XXXX'
    },
    cvv: {
      elementId: 'sq-cvv',
      placeholder: '{__("sq_cvv")}'
    },
    expirationDate: {
      elementId: 'sq-expiration-date',
      placeholder: 'MM/YY'
    },
    postalCode: {
      elementId: 'sq-postal-code'
    },
    callbacks: {
      cardNonceResponseReceived: function(errors, nonce, cardData) {
        if (errors) {
          // handle errors
          errors.forEach(function(error) { 
								  console.log(error.message); 
								  });
        } else {
          // handle nonce
//          console.log('Nonce received:');
//          console.log(nonce);
			// set the value for the cart input
			$('#sq_nonce').val(nonce);
			$('#has_sq_nonce').val(nonce);
			
//		  console.log("#sq_nonce.val()="+$('#sq_nonce').val() );
			// Uncheck all the radio buttons
			$('#cards input:radio').each(function() {
											$(this).prop('checked',false);
										  });
			// Change the text for the new card radio button
			$('#show_new_card').html(cardData.card_brand + 
								   " - " + 
								   '{$cart.user_data.b_firstname} {$cart.user_data.b_lastname} - ***' + 
								   cardData.last_4 + ' - ' + 
								   cardData.exp_month + '/' + cardData.exp_year);
			// And check it
			$('#new_card_input').prop('checked',true);
			$('#new_card_input2').prop('checked',true);
			// Show the save card checkbox
			$('#save_card').show();
			// Disable the onclick event
			$('#new_card_input').click(function() {
												});
			$('#new_card_input2').click(function() {
												});
		  
			// Hide the div that shows the card data collection		  
			$('#no_nonce').hide();
			// Show the response div
			$('#has_nonce').show();
			
			// If reset card is clicked
			//	- reset the html to show the enter card text
			//  - re-enable the onclick event
			//  - hide the response div
			//	- clear the nonce value
			$('#sq_reset_card').click( function() {
												$('#show_new_card').html('{__("sq_or_enter_new_card")}');
												$('#new_card_input').click( function() {
																				  $('#no_nonce').show();
																				  });
											 	$('#new_card_input2').click( function() {
																				  $('#no_nonce').show();
																				  });
												$('#has_nonce').hide();
												$('#sq_nonce').val('');
												$('#has_sq_nonce').val('');
												$('#save_card').hide();
											  });
        }
      },
      unsupportedBrowserDetected: function() {
        // Alert the buyer that their browser is not supported
      },
      inputEventReceived: function(inputEvent) {
        switch (inputEvent.eventType) {
          case 'focusClassAdded':
            // Handle as desired
            break;
          case 'focusClassRemoved':
            // Handle as desired
            break;
          case 'errorClassAdded':
            // Handle as desired
            break;
          case 'errorClassRemoved':
            // Handle as desired
            break;
          case 'cardBrandChanged':
            // Handle as desired
            break;
          case 'postalCodeChanged':
            // Handle as desired
            break;
        }
      }
    }
  });

  function requestCardNonce() {
    paymentForm.requestCardNonce();
  }
  // Call after initializing the payment form _and_ the DOM is fully loaded
  paymentForm.build();
  
  function submit_refund(order_id, transaction_id, tx_key) {
	refund_amount=$('#refund_amount_'+tx_key).val();
	params='order_id='+order_id+'&transaction_id='+transaction_id+'&refund_amount='+parseInt(parseFloat(refund_amount).toFixed(2) * 100);
//console.log("params="+params);
	window.onbeforeunload = null;
	window.location.href="{"squarepay.tx_refund"|fn_url}&"+params;
  }
  
  function sq_set_required() {
	  $('#reason_label').addClass('cm-required');
	  $('#amount_label').addClass('cm-required');
  }
  
</script>
  
  <style type="text/css">
    .sq-input {
      border: 1px solid rgb(223, 223, 223);
      outline-offset: -2px;
      margin-bottom: 5px;
    }
    .sq-input--focus {
      /* how your inputs should appear when they have focus */
      outline: 5px auto rgb(59, 153, 252);
    }
    .sq-input--error {
      /* how your inputs should appear when invalid */
      outline: 5px auto rgb(255, 97, 97);
    }
	.sq-div {
		padding-bottom:20px;
	}
  </style>  
{if $order_transactions|count > 1}
{assign var="extra_tx" value=$smarty.request.order_id|sq_get_tx_data}
{if $extra_tx}
	<div id="extra_tx">
		{include file="common/subheader.tpl" title=__("sq_extra_payments")}
		{foreach name="ex" key="tx_key" from=$extra_tx item="tx"}
			{if $tx_key == $p_info.transaction_id}
				{continue}
			{/if}
			<div class="control-group">
				{assign var="pay_info" value=$tx|sq_tx_to_pay}
				{foreach from=$pay_info key="k" item="v"}
					<div class="control-group">
						<label class="control-label" for="_{$k}">{__("$k")}:</label>
						<div id="_{$k}" class="controls">{$v}</div>
					</div>
				{/foreach}
				{include file="addons/squarepay/common/tx_buttons.tpl" p_info=$tx order_id=$smarty.request.order_id tx_key=$tx_key}
				<hr style="border-bottom: 2px solid black;"/>	
			</div>		
		{/foreach}
	</div>
{/if} {* extra_tx *}
{/if} {* order transactions *}

{if "MULTIVENDOR"|fn_allowed_for && $runtime.company_id}
	{* do nothing *}
{else}
	<div id="new_charge_button" style="padding-bottom:20px;">
		  {include file="buttons/button.tpl" 
		  but_text=__('sq_new_charge') 
		  but_onclick="$('#new_charge').toggle();$('#new_charge_button').toggle();sq_set_required();" 
		  but_id="sq_charge" 
		  but_meta="cm-no-ajax btn-primary" 
		  but_role="action" }
	</div>
	
	
	{** Show this div if the New charge button is pressed **}
	<div id="new_charge" class="hidden">
{*		<form id="new_charge_form" action="{""|fn_url}" method="post" >  *}
{*			<input type="hidden" name="dispatch[squarepay.tx_charge]" /> *}
			<input type="hidden" name="order_info[order_id]" value="{$order_info.order_id}" />
			<div class="control-group">
				<label id="reason_label" class="control-label" for="reason">{__("sq_reason")}</label>
				<div class="controls">
					<input id="reason" type="text" class="input-medium" name="order_info[reason]" value="" />
				</div>
			</div>
			<div class="control-group">
				<label id="amount_label" class="control-label" for="amount">{__("sq_extra_amount")}</label>
				<div class="controls">
					<input id="amount" type="text" class="input-small" name="order_info[total]" value="" />
				</div>
			</div>

		<div id="sq_container" style="padding-bottom:20px;">
			{** Determine if we display saved cards **}
			{** 11/6/16: Changed from auth.user_id to user_id **}
			{if $user_id}
				{** 11/6/16: Changed from auth.user_id to user_id **}
				{assign var="sq_data" value=$user_id|sq_get_user_sq_data}
				{if $sq_data}	{** User is existing square customer **}
					{assign var="customer_id" value=$sq_data.id}
					<input type="hidden" name="order_info[payment_info][sq_customer_id]" value="{$customer_id}" />
					{** 11/6/16: Changed from auth.user_id to user_id **}
					{assign var="card_strings" value=$user_id|sq_checkout_cards:$payment_id}
				{/if}
				{if $card_strings}	{** user has stored card info **}
					<div id="cards" style="padding-left:30px;">
						<h3>{__("sq_select_card_header__orders")}</h3>
						<ul>
						{foreach name="c" from=$card_strings key="card_id" item="card_string"}
							<li><input type="radio" name="order_info[payment_info][sq_card_id]" value="{$card_id}" {if $smarty.foreach.c.first}checked="checked"{/if} />{$card_string nofilter}
							</li>
						{/foreach}
						<li>
							<input id="new_card_input" type="radio" name="order_info[payment_info][sq_card_id]" value="" 
								onclick="$('#no_nonce').show();"><span id="show_new_card">{__("sq_or_enter_new_card")}</span>
							<input type="hidden" name="order_info[payment_info][sq_save_card]" value="" />
							{** 11/6/16: Changed from auth.user_id to user_id **}
							{if $user_id && $addons.squarepay.always_save_cards != "Y"}
								<ul id="save_card" class="hidden">
									<li><input type="checkbox" name="order_info[payment_info][sq_save_card]" value="1" checked="checked" />{__("sq_save_card")}
									</li>
								</ul>
							{/if}
						</li>
						</ul>
					</div> {** cards **}
				{/if}
			{else}
				<div style="padding-left:30px;">
					<h3>{__("sq_checkout_header")}</h3>
				</div>
			{/if}
			
			{** This div is hidden but displays when new card data is to be collected **}
			{** 11/6/16: Changed from auth.user_id to user_id **}
			<div id="no_nonce" style="padding-left:30px;" class="ty-controls sq-div{if $user_id && $card_strings} hidden{/if}">
				{** 11/6/16: Changed from auth.user_id to user_id **}
			  <label for="sq-card-number" class="ty-control-group__title">{if $user_id && $card_strings}{__("new")|ucwords} {/if}{__("sq_card_number")}:&nbsp;</label>
			  <div id="sq-card-number" class="ty-control-group"></div>
			  <label  for="sq-cvv" class="ty-control-group__title">{__("sq_cvv_code")}:&nbsp;</label>
			  <div id="sq-cvv" class="ty-control-group"></div>
			  <label  for="sq-expiration-date" class="ty-control-group__title">{__("sq_expiration_date")}:&nbsp;</label>
			  <div id="sq-expiration-date" class="ty-control-group"></div>
			  <label  for="sq-postal-code" class="ty-control-group__title">{__("sq_postal_code")}:&nbsp;</label>
			  <div id="sq-postal-code" class="ty-control-group"></div>
			  <input type="hidden" id="sq_nonce" name="order_info[payment_info][sq_nonce]" value="" />
			  
			  <div id="submit_card" >
			  {include file="buttons/button.tpl" 
			  	but_text=__('sq_submit_card') 
				but_name="#" 
				but_id="sq_nonce_submit" 
			    but_meta="cm-no-ajax" 
				but_role="button_main" 
				but_onclick="requestCardNonce(); return false;"
			  }
			  </div>
			</div> {** no_nonce **}
			
			{** This div is shown AFTER a nonce is received from square **}
			<div id="has_nonce" style="padding-left:30px;" class="ty-controls sq-div hidden">
				{if !$card_strings }
					<ul>
						<li>
							<input id="new_card_input2" type="radio" name="order_info[payment_info][sq_card_id]" value="" 
								onclick="$('#no_nonce').show();"><span id="show_new_card">{__("sq_or_enter_new_card")}</span>
							<input type="hidden" name="order_info[payment_info][sq_save_card]" value="" />
							{** 11/6/16: Changed from auth.user_id to user_id **}
							{if $user_id && $addons.squarepay.always_save_cards != "Y" }
							<ul>
								<li><input type="checkbox" name="order_info[payment_info][sq_save_card]" value="1" checked="checked" />{__("sq_save_card")}
								</li>
							</ul>
							{/if}
						</li>
					</ul>
				{/if}
				<input type="hidden" id="has_sq_nonce" name="order_info[payment_info][sq_nonce]" value="{$order_info.payment_info.sq_nonce}" />
			  {include file="buttons/button.tpl" 
			  	but_text=__('sq_reset_card') 
				but_name="dispatch[orders.details&amp;order_id=`$order_info.order_id`]"
				but_id="sq_reset_card" 
			    but_meta="cm-no-ajax" 
				but_role="action" 
			  }
			</div> {** has_nonce **}

			  {include file="buttons/button.tpl" 
			  	but_text=__('sq_submit_charge')  
				but_id="sq_submit_charge" 
			    but_meta="cm-no-ajax" 
				but_name="dispatch[squarepay.tx_charge]"
				but_role="submit" 
			  }
		</div>	{** sq_container **}
{*		</form> *}
	</div>	{** new_charge **}
{/if} {* multivendor *}
