{** ONLY use this override if we're a square payment **}
{if $order_info|sq_is_square_order}
	<!-- Override: squarerepay/hooks/orders/payment_info.overrid.tpl -->
	{** debug layout **}
	{assign var="show_all" value=false}
	{assign var="new_payment_displayed" value=false}

	{if $order_info.payment_id}
	<div class="control-group sq-control-group">
	    <div class="control-label">{__("method")}</div>
	    <div id="tygh_payment_info" class="controls">{$order_info.payment_method.payment}&nbsp;{if $order_info.payment_method.description}({$order_info.payment_method.description}){/if}
	    </div>
	</div>
	{/if}
	
	{if "MULTIVENDOR"|fn_allowed_for && $runtime.company_id }
		{* Do nothing - hide when  in context of vendor *}
	{else}
	{if $order_info.payment_info}
		    {foreach from=$order_info.payment_info item=item key=key}
	    	{if $key=='AUTHORIZED'||$key=='CAPTURED'||$key=='VOIDED'}
	    		<hr class="sq-tx-hr">
	    	{/if}
		    <div class="control-group sq-control-group">
		        {if $item && $key != "expiry_year"}
	            <div class="control-label">
	            {if $key == "card_number"}{assign var="cc_exists" value=true}{__("credit_card")}{elseif $key == "expiry_month"}{__("expiry_date")}{else}{__($key)}{/if}
	            </div>
	            <div class="controls">
	                {if $key == "order_status"}
	                    {include file="common/status.tpl" status=$item display="view" status_type=""}
	                {elseif $key == "reason_text"}
	                    {$item|nl2br}
	                {elseif $key == "expiry_month"}
	                    {$item}/{$order_info.payment_info.expiry_year}
	                {elseif $key == "card_number" || $key == "cvv" || $key == "cvv2"}
	                    <div class="wrap">{$item}</div>
	                {else}
	                    {hook name="orders:payment_info_text_item"}
	                        <bdi>{$item}</bdi>
	                    {/hook}
	                {/if}	{* AUTHORIZED or CAPTURED *}
		            </div>	{* controls *}
		        {/if}	{* Key == card_number *}
			</div>	{* control-group *}
	    	{if $key=='AUTHORIZED'||$key=='CAPTURED'||$key=='VOIDED'}
	    		{* Insert our stuff here *}
				{assign var="order_transactions" value=$order_info.order_id|sq_get_order_transactions}
				{assign var="p_info" value=$order_info.payment_info|sq_pay_to_tx}
				{assign var="remaining_amount" value=$order_info.order_id|sq_order_remaining_amount:$p_info.transaction_id}
				{assign var="remaining_amount" value=$remaining_amount|fn_format_price}
{*	          <pre>p_info:{$p_info|print_r:true}, remaining_amount={$remaining_amount}</pre> *}
			
				<!-- TDB: p_info:{$p_info|print_r:true} -->
				{if $p_info.action == 'AUTHORIZED' || $p_info.action == 'CAPTURED' }
					{if $show_all || $p_info.action == 'AUTHORIZED' && $remaining_amount}
					<div class="control-group sq-control-group">
						<div class="control-label">
							{include file="buttons/button.tpl" 
								but_role="action" 
								but_meta="cm-no-ajax btn-primary"
								but_href="squarepay.tx_void&amp;order_id=`$order_info.order_id`&amp;transaction_id=`$order_info.payment_info.transaction_id`"|fn_url 
								but_onclick="return confirm('{__("sq_void_confirm")}')"
								but_text=__("sq_void") 
							}
						</div>
						<div class="controls">
						{if $remaining_amount}
							{include file="buttons/button.tpl" but_role="action" 
								but_href="squarepay.tx_capture&amp;order_id=`$order_info.order_id`&amp;transaction_id=`$p_info.transaction_id`"|fn_url 
								but_meta="cm-no-ajax btn-primary"
								but_text=__("sq_capture")
							}
						{/if}
						</div>
					</div>
					{elseif $show_all || $p_info.action == 'CAPTURED' && $remaining_amount}
					<div class="control-group sq-control-group">
						<input type="hidden" name="order_id" value="{$order_info.order_id}" />
						<input type="hidden" name="transaction_id" value="{$order_info.payment_info.transaction_id}" />
						<div class="control-label">
							{include file="buttons/button.tpl" 
								but_role="submit" 
								but_meta="cm-no-ajax btn-primary" 
								but_target_form="order_info_form"
								but_text=__("sq_refund") 
								but_onclick="return confirm('{__("sq_refund_confirm")}')"
								but_name="dispatch[squarepay.tx_refund]"
							}
						</div>
						<div class="controls" >
						<input id="refund_amount" type="text" name="refund_amount" class="input-small" value="{$remaining_amount}" >
						</div>
					</div>
					{/if} {* action = captured or authorized *}
				{/if}	{* action = captured or authorized *}
				
				{* show the date, action and balance for each extra transaction *}
				{foreach from=$order_transactions key="parent_transaction_id" item="tx_data"}
					{foreach from=$tx_data key="transaction_id" item="tx_info"}
						{if $transaction_id == $parent_transaction_id }
							{continue}
						{/if}
						<div class="control-group sq-control-group">
							<div class="control-label">
								{*
								{$tx_info.timestamp|date_format:"`$settings.Appearance.date_format`"},{$tx_info.timestamp|date_format:"`$settings.Appearance.time_format`"}&nbsp;
								*}
								{$tx_info.timestamp|date_format:"`$settings.Appearance.date_format`"}
							</div>
							<div class="controls">
								{assign var="balance" value=$tx_info[balance]|default:"`$remaining_amount`"}
								<strong>{__($tx_info.action)}:</strong>&nbsp; {include file="common/price.tpl" value=$tx_info.amount}, {__("balance")}&nbsp;{include file="common/price.tpl" value=$balance|default:"0.00"}
							</div>
						</div>
					{/foreach} {* tx_data *}
				{/foreach} {* order_transactions *}
				<hr class="sq-tx-hr"/>
	    	{/if}	{* key == AUTHORIZED, CAAPTURED or VOIDED *}
		    {/foreach}	{* keys *}

			<div class="control-group">
				{include file="addons/squarepay/common/extra_tx.tpl"
					order_transactions=$order_transactions
					p_info=$p_info
				}
				{$new_payment_displayed = true}
			</div>

		    
			
		    {if $cc_exists}
		    <div class="control-group sq-control-group">
		        <div class="control-label">
		            <input type="hidden" name="order_ids[]" value="{$order_info.order_id}" />
		            {include file="buttons/button.tpl" but_text=__("remove_cc_info") but_meta="cm-ajax cm-comet" but_name="dispatch[orders.remove_cc_info]"}
		        </div>
		    </div>
		{/if}	{* item *}
    {/if}	{* payment_info *}
	{/if}	{** multivendor **}
{/if}	{** is a square payment id **}