{if !$payment_id}
	{assign var="payment_id" value=$smarty.request.payment_id}
{/if}

{assign var="sq_application_id" value=$smarty.const.SQ_APPLICATION_ID}
{assign var="sq_access_token" value=$payment_id|sq_valid_access_token}
{assign var="token_expires" value=$processor_params.token_expires}
{assign var="merchant_id" value=$processor_params.merchant_id}
{assign var="sq_location" value=$processor_params.sq_location}
{assign var="api_credentials" value=$smarty.session.auth.sq_api_credentials}
{assign var="current_user" value="email"|sq_current_user}
{*<!-- TB: processor_params:{$processor_params|print_r:true} -->*}
{"processor_params:`$processor_params|print_r:true`"|sq_log}

{if ""|sq_test_site }
	{assign var="sq_application_id" value=$smarty.const.SQ_SB_APPLICATION_ID}
	{assign var="sq_access_token" value=$smarty.const.SQ_SB_ACCESS_TOKEN}
	{assign var="sq_location" value=$smarty.const.SQ_SB_LOCATION_ID}
{/if}

{if !$api_credentials}
<h3>{__("warning")|ucwords}</h3>
<blockquote>
{assign var="txt" value="[CURRENT_USER]"|str_replace:$current_user:__("sq_api_credential_warn")}
{assign var="href" value="profiles.update&amp;user_id=`$auth.user_id`&amp;selected_section=api"|fn_url}
{assign var="txt" value="[HREF]"|str_replace:$href:$txt}
{$txt nofilter}
</blockquote>
{/if}

<input type="hidden" 
		name="payment_data[processor_params][sq_application_id]" 
		id="sq_application_id" 
		value="{$sq_application_id}"
	/>
<input type="hidden" 
		name="payment_data[processor_params][sq_access_token]" 
		id="sq_access_token" 
		value="{$sq_access_token}"
	/>
<input type="hidden" 
		name="payment_data[processor_params][token_expires]" 
		id="token_expires" 
		value="{$token_expires}"
	/>
<input type="hidden" 
		name="payment_data[processor_params][merchant_id]" 
		id="merchant_id" 
		value="{$merchant_id}"
	/>

<div id="has_valid_token" class="hidden" >
	<div class="control-group">
		<label class="control-label" for="sq_location">{__("sq_location")}:</label>
		<div class="controls">
			<div id="sq_location">
				{** filled by sq_location_names() **}
			</div>
		</div>
	</div>
	
	<div class="control-group">
		<label class="control-label" for="sq_currency">{__("sq_currency")}:</label>
		<div class="controls">
			<select name="payment_data[processor_params][sq_currency]" id="sq_curency">
				{foreach from=$currencies key="c_code" item="c_data"}
					<option value="{$c_code}" {if $payment_data[producessor_params][sq_currency] == $c_code}selected="selected"{/if} >{$c_code}</option>
				{/foreach}
{**				<option value="USD" selected="selected">USD</option> **}
			</select>
		</div>
	</div>


	<div class="control-group">
		<label class="control-label" for="sq_order_prefix">{__("sq_order_prefix")}:</label>
		<div class="controls">
			<input type="text" name="payment_data[processor_params][sq_order_prefix]" id="sq_order_prefix" value="{$processor_params.sq_order_prefix}" >
		</div>
	</div>
	<input type="hidden" name="payment_data[processor_params][sq_operation_mode]" value="live" />
	
	<div class="control-group">
		<label class="control-label" for="sq_tx_type">{__("sq_transaction_type")}:</label>
		<div class="controls">
			<select name="payment_data[processor_params][sq_transaction_type]" id="sq_transaction_type">
				<option value="CAPTURE" {if $processor_params.sq_transaction_type == "CAPTURE"}selected="selected"{/if}>{__("sq_capture")}
				<option value="AUTHORIZE" {if $processor_params.sq_transaction_type == "AUTHORIZE"}selected="selected"{/if} > {__("sq_authorize")}</option>
			</select>
		</div>
	</div>
</div>

<div id="grant_permissions" class="hidden" >
	<h3>{__("sq_setup_instructions")}</h3>
	<div class="sq_grant_permissions">
		{__("sq_setup_html") nofilter}
		<p><button class="btn-primary" id="a_grant_permission">{__("sq_get_permissions")}</button></p>
	</div>
</div>

<div id="getting_permission" class="hidden">
	<h5>{__("sq_getting_permission")}</h5>
	<div id="sq_permission">
	</div>
</div>

<script type="text/javascript" >
	if( $('#sq_access_token').val() ) {
		$.get('{"squarepay.json_locations"|fn_url}',
			  	{literal}{{/literal}payment_id:"{$payment_id}"{literal}}{/literal}
			  ).done( function(ldata) {
				  sq_location_names(ldata);
			  });
		$('#has_valid_token').show();
	} else {
		$('#grant_permissions').show();	// Show Get Permissions button
		$('#a_grant_permission').click(function() {		// When it's clicked
			$('#grant_permissions').hide();	// Hide the button
			$('#getting_permission').show();	// And show the Getting Permissions div
			sq_get_permission();		// Use the auth link.
			// Start an interval timer to fetch the access_token
			var _timer_count=1;
			var max_interval = 120;	// 60 seconds.
			var access_token_interval = setInterval(function() {
				if( $('#sq_access_token').val() ) {		// Shouldn't really ever get here...
					// Don't expect to get here.
					$('#getting_permission').hide();
					$('#has_valid_token').show();
					clearInterval(access_token_interval);
console.log("Unexpected value in access_token");
				} else {
					// Read token from server...
					$.get('{"squarepay.json_params"|fn_url}',
							{literal}{{/literal}
								payment_id:{$payment_id}
							{literal}}{/literal}
					).done( function(data,status) {
						js_data = JSON.parse(data);
						if( js_data && typeof(js_data.sq_access_token) != 'undefined' && js_data.sq_access_token) {	// got it
							clearInterval(access_token_interval);
							var fields = ['sq_access_token', 'sq_application_id', 
										  'token_expires', 'merchant_id'];
							for(i in fields) {
								if( typeof(js_data[fields[i]]) != 'undefined' && js_data[fields[i]] ) {
									$('#'+fields[i]).val(js_data[fields[i]]);
								}
							}
							$('#getting_permission').hide();	// hide the getting permissions 
							$('#has_valid_token').show();	// Show the main configure page
							// Get the current locations for this account.
							$.get('{"squarepay.json_locations"|fn_url}',
								{literal}{{/literal}
									payment_id:{$payment_id}
								{literal}}{/literal}
							).done( function(ldata) {
									  sq_location_names(ldata);	// Buile/load the selector
								  });
							if( popup_window != null )	// Close it if it's open
								popup_window.close();
						} else {
							_timer_count++;
							if( _timer_count > max_interval ) {
								clearInterval(access_token_interval);
								if( popup_window != null )
									popup_window.close();
								window.location = "?dispatch=squarepay.no_auth_response";
							}
						}
							
					});	// get.done
				}	// if val
			}	// setInterval function
			, 500);	// interval		// Check every 1/2 second
			return false;
		});	// a_grant_permission click
	}	// if val
	
	var popup_window = null;
	function sq_get_permission() {
		// 1/25/18 - Updated to dynamically build 'state' parameter in url (last parameter)
		var url='{$smarty.const.SQ_AUTHORIZE_URL}' + '{$payment_id|sq_state_param}';
		var width=400;
		var height=600;
		var x = parseInt(($('body').innerWidth() / 2) - (width/2));
		var y = parseInt(($('body').innerHeight() / 2) - (height/2));
		popup_window = window.open(url, '{__("sq_get_permission")}', 'left='+x+',top='+y+',width='+width+',height='+height+',menubar=0,scrollbars=1');
	}
	
	function sq_location_names(locations) {
		locations = JSON.parse(locations);
		if( typeof(locations.names) != 'undefined' ) {
			var names = locations.names;
			if( names ) {
				// 9/30/17 - Added nofilter to sq_location
				selected = '{$sq_location nofilter}';
				s = '<select name="payment_data[processor_params][sq_location]" id="sq_location_select">';
				s += '<option value="" '+(selected == '' ? 'selected="selected"' : '')+' >{__("sq_select_location")}</option>';
				for(n in names) {
					s += '<option value="'+names[n]+'" '+(selected == names[n] ? 'selected="selected"' : '')+'>'+names[n]+'</option>';
				}
			
				$('#sq_location').html(s);
			}
		}
	}
</script>
